in vec3 fragPos;

out vec4 frag_color;

float find_closest(int x, int y, float c0)
{
	vec4 dither[4];

	dither[0] = vec4( 1.0, 33.0, 9.0, 41.0);
	dither[1] = vec4(49.0, 17.0, 57.0, 25.0);
	dither[2] = vec4(13.0, 45.0, 5.0, 37.0);
	dither[3] = vec4(61.0, 29.0, 53.0, 21.0);

	float limit = 0.0;
	if(x < 4) {
		limit = (dither[x][y]+1.0)/64.0;
	}
	
	if(c0 < limit) {
		return 0.0;
	}else{
		return 1.0;
	}
}

void main () {
	
	vec4 result = vec4(0, 0, 0, 0.25);
	/*
	float scale = 0.8;
	vec3 rgb = vec3(1,1,1);
	vec2 xy = gl_FragCoord.xy * scale;
	int x = int(mod(xy.x, 4.0));
	int y = int(mod(xy.y, 4.0));
	
	vec3 finalRGB;

	finalRGB.r = find_closest(x, y, rgb.r);
	finalRGB.g = find_closest(x, y, rgb.g);
	finalRGB.b = find_closest(x, y, rgb.b);
	
	result = vec4(finalRGB, 1);
	*/
	
	int scale = 16;
	int scale2 = 3;
	
	float x = (mod(gl_FragCoord.x, scale));
	if((mod(gl_FragCoord.y, scale)) < scale / 2) {
		if(x < scale / 2) {
			result.w = 1;
		}
	} else {
		if(x >= scale / 2) {
			result.w = 1;
		}
	}
	x = (mod(gl_FragCoord.x, scale2));
	if((mod(gl_FragCoord.y, scale2)) < scale2 / 2) {
		if(x < scale2 / 2) {
			result.w = 1;
		}
	} else {
		if(x >= scale2 / 2) {
			result.w = 1;
		}
	}
		
	frag_color = result;

}